package cn.stylefeng.team.portal.modular.management.factory;

import cn.stylefeng.team.portal.modular.management.entity.CommonAppLink;
import cn.stylefeng.team.portal.modular.management.pojo.request.CommonAppLinkRequest;

public class CommonAppLinkFactory {

    public static void commonFillParam(CommonAppLinkRequest portalAppLinkRequest, CommonAppLink portalAppLink) {
        portalAppLink.setLinkCategoryId(portalAppLinkRequest.getLinkCategoryId());
        portalAppLink.setLinkName(portalAppLinkRequest.getLinkName());
        portalAppLink.setIconType(portalAppLinkRequest.getIconType());
        portalAppLink.setIconCode(portalAppLinkRequest.getIconCode());
        portalAppLink.setLinkIconFileId(portalAppLinkRequest.getLinkIconFileId());
        portalAppLink.setRedirectType(portalAppLinkRequest.getRedirectType());
        portalAppLink.setRedirectUrl(portalAppLinkRequest.getRedirectUrl());
        portalAppLink.setOpenType(portalAppLinkRequest.getOpenType());
        portalAppLink.setFldSort(portalAppLinkRequest.getFldSort());
    }

}
